kind: Service
apiVersion: v1
metadata:
  name: ingress-nginx-service
  namespace: ingress-nginx
  labels:
    app: ingress-nginx
spec:
  ports:
    - name: http
      protocol: TCP
      port: 80
      targetPort: 80
      nodePort: 30500
    - name: https
      protocol: TCP
      port: 443
      targetPort: 443
      nodePort: 31500
  selector:
    app: ingress-nginx
  type: NodePort
  sessionAffinity: None
  externalTrafficPolicy: Cluster
